Bug 249033 - Obsoletes sysklogd but does not provide sysklogd
Summary: Obsoletes sysklogd but does not provide sysklogd
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-20 13:45 UTC by Jesse Keating
Modified: 2013-01-10 02:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 15:12:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Keating 2007-07-20 13:45:09 UTC
When replacing a package, you need to both obsolete /and/ provide the package
you're replacing.  There is at least one case of a package in Fedora that
requires sysklogd.  Now, that package might have required syslog instead, but if
you'd done the Obsoletes/Provides correctly the package would continue working
without needing a rebuild.

Comment 1 Peter Vrabec 2007-07-23 15:12:16 UTC
fixed in rsyslog-1.17.2-1.fc8


Note You need to log in before you can comment on or make changes to this bug.